ANNIE1-Assembly - Milestone #8631

Lowering the tank in ANNIE Hall
05/06/2015 09:54 AM - Matthew Wetstein

Status: New Start date: 01/25/2016
Priority: Normal Due date: 01/26/2016
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 12/06/2015 11:03 AM - Matthew Wetstein
- Due date changed from 09/01/2015 to 01/26/2016
- Start date changed from 09/01/2015 to 01/25/2016

#2 - 04/06/2016 11:12 PM - Matthew Wetstein
- % Done changed from 0 to 100
